<?php



class TblspaceresourceMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblspaceresourceMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblspaceresourcePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblspaceresourcePeer::TABLE_NAME);
		$tMap->setPhpName('Tblspaceresource');
		$tMap->setClassname('Tblspaceresource');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('RES_ID', 'ResId', 'INTEGER', true, null);

		$tMap->addColumn('RES_FILENAME', 'ResFilename', 'VARCHAR', true, 255);

		$tMap->addColumn('RES_FILESIZE', 'ResFilesize', 'INTEGER', false, null);

		$tMap->addColumn('RES_FILECRC', 'ResFilecrc', 'INTEGER', false, null);

	} 
} 